### Class

# Ggit Cred

#### Description [src]

    class Ggit.Cred : Ggit.Native
    {
      /* No available fields */
    }

Represents a git credential.

#### Hierarchy

#### Ancestors

- GgitNative
- GgitObjectFactoryBase
- GObject

#### Descendants

- GgitCredPlaintext
- GgitCredSshInteractive
- GgitCredSshKeyFromAgent

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCredClass {
      /* no available fields */
    }

No description available.